Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1735485 - Review Request: golang-github-weppos-publicsuffix - Domain name parser for Go based on the Public Suffix List
Summary: Review Request: golang-github-weppos-publicsuffix - Domain name parser for Go...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian (bex) Exelbierd
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 23:42 UTC by Robert-André Mauchin 🐧
Modified: 2020-08-04 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-02 22:32:06 UTC
Type: ---
bexelbie: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-07-31 23:42:25 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-weppos-publicsuffix.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-weppos-publicsuffix-0.5.0-1.fc31.src.rpm

Description:
 The package publicsuffix provides a Go domain name parser based on the Public Suffix List.

Fedora Account System Username: eclipseo

Comment 3 Robert-André Mauchin 🐧 2019-07-31 23:50:43 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36719230

Comment 4 Brian (bex) Exelbierd 2019-08-01 21:43:07 UTC
Looks good.  Thank you.

Comment 5 Brian (bex) Exelbierd 2019-08-01 21:45:35 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "Expat
     License", "*No copyright* Mozilla Public License (v2.0)". 15 files
     have unknown license. Detailed output of licensecheck in
     /tmp/1735485-golang-github-weppos-publicsuffix/licensecheck.txt
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-rs-cors-devel, golang-
     github-protobuf-devel, golang-github-jacobsa-oglematchers-devel,
     golang-github-olekukonko-tablewriter-devel, compat-golang-github-
     commonmark-markdown-devel, golang-github-fullsailor-pkcs7-devel,
     golang-github-openapi-jsonreference-devel, golang-github-gofrs-uuid-
     devel, golang-github-oschwald-maxminddb-devel, golang-github-
     spacemonkeygo-spacelog-devel, golang-github-zyedidia-pty-devel,
     golang-github-theupdateframework-notary-devel, golang-github-xeipuuv-
     gojsonreference-devel, golang-github-alcortesm-tgz-devel, golang-
     github-mvo5-goconfigparser-devel, compat-golang-github-russross-
     blackfriday-2-devel, golang-github-jung-kurt-gofpdf-devel, golang-
     github-m3db-prometheus-client-devel, golang-github-containerd-fifo-
     devel, golang-github-containerd-cni-devel, golang-github-backtrace-
     labs-bcd-devel, golang-github-bmizerany-perks-devel, golang-github-
     kevinburke-ssh-config-devel, golang-github-linkedin-goavro-devel,
     golang-github-philhofer-fwd-devel, golang-github-calmh-du-devel,
     golang-github-mattn-gtk-devel, golang-github-facebookgo-atomicfile-
     devel, golang-github-3rf-mongo-lint-devel, golang-github-marstr-guid-
     devel, golang-github-mrunalp-fileutils-devel, golang-github-marstr-
     randname-devel, golang-github-jedisct1-clocksmith-devel, golang-
     github-akrennmair-gopcap-devel, golang-github-xrash-smetrics-devel,
     golang-github-hashicorp-yamux-devel, golang-github-tdewolff-minify-
     devel, golang-github-gogo-googleapis-devel, golang-github-cockroachdb-
     circuitbreaker-devel, golang-github-jmoiron-sqlx-devel, golang-github-
     ncw-swift-devel, golang-github-auth0-jwt-middleware-devel, golang-
     github-aws-sdk-2-devel, golang-github-flynn-json5-devel, golang-
     github-xdg-stringprep-devel, golang-github-chaseadamsio-goorgeous-
     devel, golang-github-burntsushi-toml-test-devel, golang-github-
     cosmos72-gomacro-devel, golang-github-dgrijalva-jwt-devel, golang-
     github-jfrogdev-gofrog-devel, golang-github-pborman-getopt-devel,
     golang-github-kr-pty-devel, golang-github-peterbourgon-g2s-devel,
     golang-github-juju-ratelimit-devel, golang-github-shurcool-httpgzip-
     devel, golang-github-puerkitobio-urlesc-devel, golang-github-dchest-
     cssmin-devel, golang-github-hashicorp-plugin-devel, golang-github-bep-
     debounce-devel, golang-github-spacejam-loghisto-devel, golang-github-
     macaron-binding-devel, golang-github-racker-perigee-devel, golang-
     github-h2non-gock-devel, golang-github-marcinbor85-gohex-devel,
     golang-github-shurcool-httpfs-devel, golang-github-goji-param-devel,
     golang-github-kisielk-gotool-devel, compat-golang-github-chzyer-
     readline-devel, golang-github-hailocab-hostpool-devel, golang-github-
     appc-spec-devel, golang-github-hydrogen18-stoppablelistener-devel,
     golang-github-ianlancetaylor-demangle-devel, golang-github-burntsushi-
     toml-devel, golang-github-jonboulle-clockwork-devel, golang-github-
     klauspost-crc32-devel, golang-github-kagami-avif-devel, golang-github-
     afex-hystrix-devel, dep-devel, golang-github-golangplus-fmt-devel,
     golang-github-mschoch-smat-devel, golang-github-oklog-devel, golang-
     github-xorm-core-devel, golang-github-gofrs-flock-devel, golang-
     github-influxdata-flux-devel, golang-github-pebbe-zmq4-devel, golang-
     github-openapi-jsonpointer-devel, golang-github-ovh-devel, golang-
     github-mock-devel, golang-github-jessevdk-flags-devel, golang-github-
     datadog-zstd-devel, golang-github-coreos-systemd-devel, golang-github-
     ajstarks-svgo-devel, golang-github-davecgh-spew-devel, golang-github-
     dgryski-metro-devel, golang-github-mdlayher-wifi-devel, golang-github-
     mitchellh-goamz-devel, golang-github-git-lfs-gitobj-devel, golang-
     github-anacrolix-dms-devel, compat-golang-github-check-devel, golang-
     github-google-btree-devel, golang-github-mitchellh-copystructure-
     devel, golang-github-rwcarlsen-goexif-devel, golang-github-sean-seed-
     devel, golang-github-modern-concurrent-devel, golang-github-
     cloudflare-backoff-devel, golang-github-facebookgo-clock-devel,
     golang-github-docker-licensing-devel, golang-github-mgutz-logxi-devel,
     golang-github-boltdb-bolt-devel, golang-github-seandolphin-bqschema-
     devel, golang-github-vmware-govmomi-devel, golang-github-mattn-
     shellwords-devel, golang-github-edsrzf-mmap-devel, golang-github-
     nrdcg-goinwx-devel, golang-github-google-cmp-devel, golang-github-
     justinas-alice-devel, golang-github-alecthomas-units-devel, golang-
     github-d4l3k-messagediff-devel, golang-github-git-time-metric-gtm-
     devel, golang-github-kyokomi-emoji-devel, golang-github-montanaflynn-
     stats-devel, compat-golang-github-tylerb-graceful-devel, golang-
     github-xeonx-timeago-devel, golang-github-vividcortex-mysqlerr-devel,
     golang, golang-github-jmank88-nuts-devel, compat-golang-github-mvdan-
     xurls-devel, golang-github-coreos-pkg-devel, golang-github-hashicorp-
     raft-devel, golang-github-rakyll-globalconf-devel, golang-github-
     dustin-humanize-devel, golang-github-shurcool-vfsgen-devel, golang-
     github-gorilla-mux-devel, golang-github-linuxdeepin-dbus-factory-
     devel, golang-github-serialx-hashring-devel, golang-github-rainycape-
     unidecode-devel, golang-github-cockroachdb-ttycolor-devel, golang-
     github-boombuler-barcode-devel, golang-github-jtolds-gls-devel,
     golang-github-kolo-xmlrpc-devel, golang-github-posener-complete-devel,
     golang-github-pkg-errors-devel, golang-github-pquerna-otp-devel,
     golang-github-gdamore-encoding-devel, golang-github-benlaurie-
     objecthash-devel, golang-github-sermodigital-jose-devel, golang-
     github-spf13-afero-devel, golang-github-container-storage-interface-
     spec-devel, golang-github-daviddengcn-assert-devel, golang-github-
     jmespath-devel, golang-github-fsnotify-devel, golang-github-
     globalsign-mgo-devel, golang-github-iij-doapi-devel, compat-golang-
     github-macaron-devel, golang-github-marten-seemann-qtls-devel, golang-
     github-muesli-smartcrop-devel, golang-github-kr-pretty-devel, golang-
     github-safchain-ethtool-devel, golang-github-syndtr-gocapability-
     devel, compat-golang-github-commonmark-puny-devel, golang-github-
     skratchdot-open-devel, golang-github-spf13-cobra-devel, golang-github-
     jamesclonk-vultr-devel, golang-github-masterminds-glide-devel, golang-
     github-blang-semver-devel, golang-github-sony-gobreaker-devel, golang-
     github-vividcortex-godaemon-devel, golang-github-gin-gonic-devel,
     golang-github-crossdock-devel, compat-golang-github-ldap-devel,
     golang-github-knieriem-markdown-devel, golang-github-godoctor-devel,
     golang-github-lightstep-tracer-common-devel, golang-github-aead-
     chacha20-devel, golang-github-segmentio-kafka-devel, golang-github-
     goji-httpauth-devel, golang-github-google-gopacket-devel, golang-
     github-mattn-runewidth-devel, golang-github-nats-io-nuid-devel,
     golang-github-urfave-negroni-devel, golang-github-xdg-scram-devel,
     golang-github-hashicorp-hcl-devel, compat-golang-github-mail-devel,
     golang-github-emicklei-restful-devel, golang-github-smartystreets-
     assertions-devel, golang-github-data-dog-txdb-devel, golang-github-
     hashicorp-cleanhttp-devel, golang-github-minio-sha256-simd-devel,
     golang-github-jedisct1-xsecretbox-devel, golang-github-zyedidia-tcell-
     devel, golang-github-docker-devel, golang-github-andreyvit-diff-devel,
     golang-github-kballard-shellquote-devel, golang-github-daviddengcn-
     villa-devel, golang-github-xanzy-ssh-agent-devel, golang-github-lucas-
     clemente-quic-certificates-devel, golang-github-tg-gosortmap-devel,
     golang-github-shopify-logrus-bugsnag-devel, golang-github-
     smartystreets-gunit-devel, golang-github-docopt-devel, golang-github-
     inconshreveable-muxado-devel, golang-github-jackpal-gateway-devel,
     golang-github-grpc-ecosystem-middleware-devel, golang-github-
     hashicorp-version-devel, golang-github-jacobsa-crypto-devel, golang-
     github-mholt-certmagic-devel, golang-github-mitchellh-vnc-devel,
     golang-github-prometheus-tsdb-devel, golang-github-shopspring-decimal-
     devel, golang-github-influxdata-line-protocol-devel, golang-github-
     jacobsa-ogletest-devel, golang-github-coreos-semver-devel, golang-
     github-skarademir-naturalsort-devel, golang-github-k0kubun-ansi-devel,
     golang-github-circonus-labs-gometrics-devel, golang-github-liggitt-
     tabwriter-devel, golang-github-makenowjust-heredoc-devel, golang-
     github-kimor79-gollectd-devel, golang-github-quobyte-api-devel,
     golang-github-inconshreveable-mousetrap-devel, golang-github-src-d-
     gcfg-devel, golang-github-shogo82148-shuffle-devel, golang-github-
     mdlayher-netlink-devel, golang-github-getsentry-raven-devel, golang-
     github-cpuguy83-md2man-devel, golang-github-jackc-fake-devel,
     containerd-devel, golang-github-puerkitobio-goquery-devel, golang-
     github-influxdata-tdigest-devel, golang-github-tonistiigi-fsutil-
     devel, golang-github-pborman-uuid-devel, golang-github-git-lfs-devel,
     golang-github-armon-consul-api-devel, golang-github-shiena-ansicolor-
     devel, golang-github-google-querystring-devel, golang-github-
     mitchellh-colorstring-devel, compat-golang-github-commonmark-mdurl-
     devel, golang-github-disintegration-gift-devel, golang-github-leveldb-
     devel, golang-github-spacemonkeygo-flagfile-devel, golang-github-
     dsnet-compress-devel, golang-github-openapi-analysis-devel, golang-
     github-containerd-btrfs-devel, golang-github-dchest-safefile-devel,
     golang-github-openapi-runtime-devel, golang-github-openapi-swag-devel,
     golang-github-onsi-ginkgo-devel, golang-github-cockroachdb-cockroach-
     go-devel, golang-github-godbus-dbus-devel, golang-github-bep-gitmap-
     devel, golang-github-gosimple-slug-devel, golang-github-microcosm-cc-
     bluemonday-devel, golang-github-opencontainers-runtime-spec-devel,
     golang-github-syncthing-notify-devel, golang-github-golangplus-
     testing-devel, golang-github-karlseguin-ccache-devel, golang-github-
     evanphx-json-patch-devel, golang-github-zenazn-goji-devel, golang-
     github-coreos-gexpect-devel, golang-github-mitchellh-hashstructure-
     devel, golang-github-atotto-clipboard-devel, golang-github-
     paulbellamy-ratecounter-devel, golang-github-docker-connections-devel,
     golang-github-google-pprof-devel, golang-github-snappy-devel, golang-
     github-delve-devel, golang-github-opencontainers-digest-devel, golang-
     github-beevik-ntp-devel, golang-github-d2g-dhcp4client-devel, golang-
     github-xorm-sqlfiddle-devel, golang-github-dgryski-bitstream-devel,
     golang-github-macaron-session-devel, golang-github-d2g-dhcp4server-
     devel, golang-github-docker-swarmkit-devel, golang-github-ghemawat-
     stream-devel, golang-github-mailru-easyjson-devel, golang-github-
     hashicorp-checkpoint-devel, golang-github-jedisct1-dlog-devel, golang-
     github-eapache-resiliency-devel, golang-github-prometheus-client-
     devel, golang-github-shurcool-sanitized-anchor-name-devel, golang-
     github-klauspost-pgzip-devel, golang-github-paulrosania-charset-devel,
     golang-github-containerd-typeurl-devel, golang-github-hashicorp-
     sockaddr-devel, golang-github-influxdata-cache-devel, golang-github-
     mitchellh-cli-devel, golang-github-glacjay-goini-devel, golang-github-
     googlecloudplatform-k8s-cloud-provider-devel, golang-github-morikuni-
     aec-devel, golang-github-hashicorp-immutable-radix-devel, golang-
     github-graylog2-gelf-devel, golang-github-briandowns-spinner-devel,
     golang-github-yudai-gojsondiff-devel, golang-github-eapache-queue-
     devel, golang-github-client9-plaintext-devel, golang-github-racksec-
     srslog-devel, golang-github-ugorji-devel, golang-github-census-
     instrumentation-opencensus-proto-devel, golang-github-cloudflare-
     cfssl-devel, golang-github-openapi-loads-devel, golang-github-
     roaringbitmap-roaring-devel, golang-github-aws-sdk-devel, golang-
     github-digitalocean-godo-devel, golang-github-asaskevich-govalidator-
     devel, golang-github-dsnet-golib-devel, golang-github-containerd-
     cgroups-devel, golang-github-docker-distribution-devel, golang-github-
     jefferai-jsonx-devel, golang-github-mindprince-gonvml-devel, golang-
     github-sql-driver-mysql-devel, golang-github-retailnext-hllpp-devel,
     golang-github-aclements-gg-devel, golang-github-sethgrid-pester-devel,
     golang-github-kr-fs-devel, golang-github-cheekybits-is-devel, golang-
     github-cosiner-argv-devel, golang-github-hashicorp-multierror-devel,
     golang-github-ryanuber-columnize-devel, golang-github-satori-uuid-
     devel, golang-github-google-cadvisor-devel, golang-github-jacobsa-
     oglemock-devel, golang-github-10gen-openssl-devel, golang-github-
     karrick-godirwalk-devel, golang-github-tchap-patricia-devel, golang-
     github-knz-strtime-devel, golang-github-git-lfs-wildmatch-devel,
     golang-github-skynetservices-skydns-devel, golang-github-buger-
     jsonparser-devel, golang-github-inconshreveable-vhost-devel, golang-
     github-rogpeppe-fastuuid-devel, golang-github-shopify-sarama-devel,
     compat-golang-github-ini-devel, compat-golang-github-robfig-cron-
     devel, golang-github-datadog-devel, golang-github-mdlayher-genetlink-
     devel, golang-github-shopify-toxiproxy-devel, golang-github-acme-lego-
     devel, golang-github-xanzy-cloudstack-devel, golang-github-hashicorp-
     memberlist-devel, golang-github-jstemmer-gotags-devel, golang-github-
     unknwon-com-devel, golang-github-clusterhq-flocker-devel, golang-
     github-cryptix-wav-devel, golang-github-ziutek-mymysql-devel, golang-
     github-fortytw2-leaktest-devel, golang-github-nats-io-streaming-
     server-devel, golang-github-data-dog-godog-devel, golang-github-
     rakyll-statik-devel, golang-github-tambet-asana-devel, golang-github-
     cyphar-filepath-securejoin-devel, golang-github-hashicorp-uuid-devel,
     golang-github-openapi-spec-devel, golang-github-uber-jaeger-client-
     devel, golang-github-yosssi-ace-devel, golang-github-robertkrimen-
     otto-devel, compat-golang-github-lint-devel, golang-github-certifi-
     gocertifi-devel, golang-github-jawher-mow-cli-devel, golang-github-
     akavel-rsrc-devel, golang-github-cbroglie-mapstructure-devel, golang-
     github-circonus-labs-circonusllhist-devel, golang-github-lightstep-
     tracer-devel, golang-github-rainycape-memcache-devel, golang-github-
     sendgrid-devel, golang-github-sendgrid-rest-devel, golang-github-
     hashicorp-consul-devel, golang-github-googleapis-gax-devel, golang-
     github-nats-io-streaming-devel, golang-github-abourget-teamcity-devel,
     golang-github-koofr-koofrclient-devel, golang-github-openapi-strfmt-
     devel, golang-github-docker-metrics-devel, golang-github-fatih-
     structs-devel, golang-github-fsouza-dockerclient-devel, golang-github-
     google-trillian-devel, golang-github-dchest-siphash-devel, golang-
     github-gorilla-handlers-devel, golang-github-bugsnag-devel, golang-
     github-influxdata-roaring-devel, golang-github-bfirsh-funker-devel,
     golang-github-syndtr-goleveldb-devel, golang-github-pkg-profile-devel,
     golang-github-andybalholm-cascadia-devel, golang-github-abbot-http-
     auth-devel, golang-github-tdewolff-parse-devel, golang-github-
     masterminds-semver-devel, golang-github-teris-io-shortid-devel,
     compat-golang-github-aphistic-golf-devel, golang-github-gorilla-
     securecookie-devel, golang-github-linuxkit-virtsock-devel, golang-
     github-bugsnag-panicwrap-devel, golang-github-kit-devel, golang-
     github-sigma-inotify-devel, golang-github-tinylib-msgp-devel, golang-
     github-blakesmith-ar-devel, golang-github-biogo-store-devel, golang-
     github-audriusbutkevicius-nat-pmp-devel, golang-github-docker-cli-
     devel, golang-github-docker-libnetwork-devel, golang-github-
     linuxdeepin-go-x11-client-devel, golang-github-peterbourgon-diskv-
     devel, golang-github-rubiojr-vhd-devel, golang-github-jdkato-prose-
     devel, golang-github-sstarcher-okta-devel, golang-github-elazarl-
     goproxy-devel, golang-github-maruel-panicparse-devel, golang-github-
     gin-gonic-autotls-devel, golang-github-ulikunitz-xz-devel, golang-
     github-knz-libedit-devel, golang-github-yuin-gopher-lua-devel, golang-
     github-yvasiyarov-newrelic-platform-devel, golang-github-logfmt-devel,
     golang-github-mitchellh-reflectwalk-devel, golang-github-franela-
     goreq-devel, golang-github-influxdata-usage-client-devel, golang-
     github-mxk-flowrate-devel, golang-github-howeyc-gopass-devel, golang-
     github-google-gofuzz-devel, golang-github-opentracing-devel, golang-
     github-rubyist-tracerx-devel, golang-github-hawkular-client-devel,
     golang-github-codahale-aesnicheck-devel, golang-github-jsimonetti-
     rtnetlink-devel, golang-github-google-subcommands-devel, golang-
     github-gliderlabs-ssh-devel, golang-github-valyala-bytebufferpool-
     devel, golang-github-xeipuuv-gojsonschema-devel, golang-github-
     nightlyone-lockfile-devel, golang-github-gucumber-devel, golang-
     github-dgnorton-goback-devel, golang-github-influxdb-gomdb-devel,
     golang-github-koofr-httpclient-devel, golang-github-mholt-caddy-devel,
     golang-github-ryszard-goskiplist-devel, golang-github-armon-metrics-
     devel, golang-github-mjibson-appstats-devel, golang-github-oklog-run-
     devel, golang-github-j-keck-arping-devel, golang-github-ceph-devel,
     golang-github-audriusbutkevicius-cli-devel, golang-github-axgle-
     mahonia-devel, golang-github-hashicorp-lru-devel, golang-github-petar-
     gollrb-devel, golang-github-logr-devel, golang-github-hashicorp-mdns-
     devel, golang-github-cactus-statsd-client-devel, golang-github-nats-
     io-jwt-devel, golang-github-jacobsa-reqtrace-devel, golang-github-
     kylelemons-godebug-devel, golang-github-nfnt-resize-devel, golang-
     github-jackc-pgx-devel, golang-github-op-logging-devel, golang-github-
     bgentry-netrc-devel, golang-github-vmware-vmw-guestinfo-devel, golang-
     github-zyedidia-poller-devel, golang-github-aphistic-sweet-devel,
     golang-github-openzipkin-zipkin-devel, golang-github-influxdata-
     influxql-devel, golang-github-pkg-xattr-devel, golang-github-axiomhq-
     hyperloglog-devel, golang-github-opencontainers-image-spec-devel,
     golang-github-stathat-devel, golang-github-gin-contrib-sse-devel,
     golang-github-spacemonkeygo-openssl-devel, golang-github-yvasiyarov-
     metrics-devel, golang-github-opentracing-contrib-grpc-devel, golang-
     github-c-bata-prompt-devel, golang-github-billziss-gh-cgofuse-devel,
     golang-github-djherbis-buffer-devel, golang-github-fatih-camelcase-
     devel, golang-github-klauspost-cpuid-devel, golang-github-facebookgo-
     pidfile-devel, golang-github-vividcortex-gohistogram-devel, golang-
     github-containerd-console-devel, golang-github-xlab-handysort-devel,
     golang-github-agl-ed25519-devel, golang-github-huandu-xstrings-devel,
     golang-github-decker502-dnspod-devel, golang-github-ajstarks-deck-
     devel, golang-github-exoscale-egoscale-devel, golang-github-thinkerou-
     favicon-devel, golang-github-jbenet-context-devel, golang-github-
     groupcache-devel, golang-github-denisenkom-mssqldb-devel, golang-
     github-fogleman-gg-devel, golang-github-revel-pathtree-devel, golang-
     github-patrickmn-cache-devel, golang-github-davecgh-xdr-devel, golang-
     github-mattn-colorable-devel, golang-github-google-tspi-devel, golang-
     github-ijc-gotty-devel, golang-github-kurin-blazer-devel, golang-
     github-ryanuber-glob-devel, golang-github-thorduri-libusb-devel,
     golang-github-dropbox-sdk-unofficial-devel, golang-github-fatih-set-
     devel, golang-github-thomsonreuterseikon-ntlm-devel, golang-github-
     vmware-photon-controller-sdk-devel, golang-github-burntsushi-xgbutil-
     devel, golang-github-msteinert-pam-devel, golang-github-cpu-goacmedns-
     devel, golang-github-denverdino-aliyungo-devel, golang-github-rasky-
     xdr-devel, golang-github-schollz-progressbar-2-devel, golang-github-
     checkpoint-restore-criu-devel, golang-github-data-dog-sqlmock-devel,
     golang-github-jinzhu-now-devel, golang-github-docker-units-devel,
     golang-github-daaku-zipexe-devel, golang-github-calmh-xdr-devel,
     golang-github-emirpasic-gods-devel, golang-github-gogo-protobuf-devel,
     golang-github-inconshreveable-log15-devel, golang-github-rackspace-
     gophercloud-devel, golang-github-nlopes-slack-devel, golang-github-
     spf13-nitro-devel, golang-github-martini-contrib-render-devel, golang-
     github-phayes-permbits-devel, golang-github-codahale-hdrhistogram-
     devel, golang-github-coreos-oidc-devel, golang-github-ianlancetaylor-
     cgosymbolizer-devel, golang-github-jmhodges-levigo-devel, golang-
     github-nsf-termbox-devel, golang-github-petermattis-goid-devel,
     golang-github-gorilla-context-devel, golang-github-gomarkdown-
     markdown-devel, golang-github-valyala-fasttemplate-devel, golang-
     github-sasha-s-deadlock-devel, golang-github-bouk-httprouter-devel,
     golang-github-nats-io-gnatsd-devel, golang-github-hashicorp-scada-
     client-devel, golang-github-puerkitobio-purell-devel, golang-github-
     mesos-devel, golang-github-cockroachdb-cmux-devel, golang-github-
     vishvananda-netlink-devel, golang-github-alecthomas-repr-devel,
     golang-github-alecthomas-kong-devel, golang-github-spf13-cast-devel,
     golang-github-tomasen-realip-devel, golang-github-spf13-fsync-devel,
     golang-github-hudl-fargo-devel, golang-github-casbin-devel, golang-
     github-clbanning-x2j-devel, golang-github-opentracing-contrib-
     observer-devel, golang-github-bkaradzic-lz4-devel, golang-github-grpc-
     ecosystem-prometheus-devel, golang-github-alecthomas-colour-devel,
     golang-github-xeipuuv-gojsonpointer-devel, golang-github-alecthomas-
     template-devel, golang-github-spf13-pflag-devel, golang-github-
     chrismalek-oktasdk-devel, golang-github-burntsushi-graphics-devel,
     golang-github-eapache-xerial-snappy-devel, golang-github-vaughan0-ini-
     devel, golang-github-beorn7-perks-devel, golang-github-jinzhu-gorm-
     devel, golang-github-lib-pq-devel, golang-github-xorm-builder-devel,
     golang-github-elastic-gosigar-devel, golang-github-mndrix-tap-devel,
     golang-github-lucasb-eyer-colorful-devel, golang-github-revel-devel,
     golang-github-rfjakob-eme-devel, golang-github-sanity-io-litter-devel,
     golang-github-andy-kimball-arenaskl-devel, golang-github-prometheus-
     procfs-devel, golang-github-djherbis-nio-devel, golang-github-
     mmarkdown-mmark-devel, compat-golang-github-cznic-ql-devel, golang-
     github-rancher-devel, golang-github-euank-kmsg-parser-devel, golang-
     github-bmizerany-assert-devel, golang-github-chmduquesne-rollinghash-
     devel, golang-github-bep-tocss-devel, golang-github-goftp-server-
     devel, golang-github-tonistiigi-vt100-devel, golang-github-twinj-uuid-
     devel, golang-github-glycerine-unsnap-stream-devel, golang-github-
     tonistiigi-units-devel, golang-github-gomodule-redigo-devel, golang-
     github-dvsekhvalnov-jose2go-devel, golang-github-milochristiansen-lua-
     devel, golang-github-coreos-iptables-devel, golang-github-miekg-
     pkcs11-devel, golang-github-pelletier-buffruneio-devel, golang-github-
     docker-libkv-devel, golang-github-urfave-cli-devel, golang-github-
     xi2-xz-devel, golang-github-samuel-zookeeper-devel, golang-github-
     bradfitz-iter-devel, golang-github-yunify-qingstor-sdk-devel, golang-
     github-alexflint-filemutex-devel, golang-github-lucas-clemente-quic-
     devel, golang-github-facebookarchive-inject-devel, golang-github-
     anacrolix-missinggo-devel, golang-github-bradfitz-smtpd-devel, golang-
     github-yudai-golcs-devel, golang-github-rkt-devel, golang-github-
     soundcloud-runit-devel, golang-github-onsi-gomega-devel, golang-
     github-michaeltjones-walk-devel, golang-github-h2non-parth-devel,
     golang-github-nicksnyder-i18n-devel, golang-github-kr-text-devel,
     golang-github-naoina-stringutil-devel, golang-github-openapi-validate-
     devel, golang-github-containerd-continuity-devel, golang-github-
     vmware-govcloudair-devel, golang-github-influxdata-influxdb-devel,
     golang-github-client9-gospell-devel, golang-github-gddo-devel, golang-
     github-marstr-collection-devel, golang-github-erikstmartin-testdb-
     devel, golang-github-masterminds-semver-1-devel, golang-github-k-sone-
     critbitgo-devel, golang-github-vishvananda-netns-devel, golang-github-
     fernet-devel, golang-github-d2g-dhcp4-devel, golang-github-docker-
     libtrust-devel, golang-github-rs-zerolog-devel, golang-github-kr-
     logfmt-devel, golang-github-hashicorp-raft-boltdb-devel, golang-
     github-olekukonko-ts-devel, golang-github-wjdp-htmltest-devel, golang-
     github-hashicorp-hil-devel, golang-github-ncw-acd-devel, golang-
     github-google-devel, compat-golang-github-bufio-devel, golang-github-
     grpc-ecosystem-gateway-devel, golang-github-emicklei-restful-
     swagger12-devel, golang-github-bshuster-repo-logrus-logstash-hook-
     devel, golang-github-bgentry-speakeasy-devel, golang-github-dustin-
     broadcast-devel, golang-github-jsternberg-zap-logfmt-devel, golang-
     github-opentracing-basictracer-devel, golang-github-macaron-gzip-
     devel, golang-github-pquerna-ffjson-devel, golang-github-
     xiang90-probing-devel, golang-github-nats-io-devel, golang-github-
     prometheus-common-devel, golang-github-akamai-akamaiopen-edgegrid-
     devel, golang-github-facebookgo-stats-devel, golang-github-lpabon-
     godbc-devel, golang-github-imdario-mergo-devel, golang-github-
     jellevandenhooff-dkim-devel, golang-github-apache-arrow-devel, golang-
     github-appc-goaci-devel, golang-github-benesch-cgosymbolizer-devel,
     golang-github-mreiferson-httpclient-devel, golang-github-renstrom-
     dedent-devel, golang-github-sap-hdb-devel, golang-github-storageos-
     api-devel, golang-github-hashicorp-serf-devel, golang-github-cenkalti-
     backoff-devel, golang-github-modern-reflect2-devel, golang-github-
     hashicorp-retryablehttp-devel, golang-github-mwitkow-conntrack-devel,
     golang-github-mgutz-ansi-devel, golang-github-julienschmidt-
     httprouter-devel, golang-github-kardianos-osext-devel, golang-github-
     getkin-kin-openapi-devel, golang-github-oracle-oci-sdk-devel, golang-
     github-moby-buildkit-devel, golang-github-tarm-serial-devel, golang-
     github-prometheus-alertmanager-devel, golang-github-timewasted-linode-
     devel, golang-github-armon-circbuf-devel, golang-github-krolaw-
     dhcp4-devel, golang-github-vbatts-tar-split-devel, golang-
     github-t3rm1n4l-mega-devel, golang-github-opencontainers-runtime-
     tools-devel, golang-github-jdkato-syllables-devel, golang-github-
     marusama-semaphore-devel, golang-github-franela-goblin-devel, golang-
     github-michaelklishin-rabbit-hole-devel, golang-github-gopherjs-devel,
     golang-github-spaolacci-murmur3-devel, golang-github-rogpeppe-
     internal-devel, golang-github-burntsushi-locker-devel, golang-github-
     gophercloud-devel, golang-github-cockroachdb-apd-devel, golang-github-
     prometheus-client-model-devel, golang-github-jwilder-encoding-devel,
     golang-github-naoina-toml-devel, golang-github-nytimes-gziphandler-
     devel, golang-github-sourcegraph-syntaxhighlight-devel, golang-github-
     thecodeteam-goscaleio-devel, golang-github-xorm-devel, golang-github-
     remyoudompheng-bigfft-devel, golang-github-rican7-retry-devel, golang-
     github-kdar-factorlog-devel, golang-github-containernetworking-
     plugins-devel, golang-github-revel-config-devel, golang-github-
     klauspost-compress-devel, golang-github-coreos-ioprogress-devel,
     golang-github-mattn-sqlite3-devel, golang-github-hashicorp-msgpack-
     devel, golang-github-containerd-runc-devel, golang-github-fatih-color-
     devel, golang-github-mitchellh-wordwrap-devel, golang-github-pkg-sftp-
     devel, golang-github-hashicorp-raft-mdb-devel, golang-github-pmezard-
     difflib-devel, golang-github-docker-spdystream-devel, golang-github-
     aybabtme-rgbterm-devel, golang-github-vividcortex-ewma-devel, golang-
     github-mattn-pointer-devel, golang-github-hako-durafmt-devel, golang-
     github-jaguilar-vt100-devel, golang-github-aliyun-alibaba-cloud-sdk-
     devel, golang-github-spf13-viper-devel, compat-golang-github-coreos-
     etcd-devel, golang-github-chai2010-gettext-devel, golang-github-
     cockroachdb-cockroach-devel, golang-github-azure-storage-blob-devel,
     golang-github-masterminds-vcs-devel, golang-github-markbates-inflect-
     devel, golang-github-smartystreets-goconvey-devel, golang-github-
     google-uuid-devel, golang-github-git-lfs-netrc-devel, golang-github-
     gregjones-httpcache-devel, golang-github-djherbis-times-devel, golang-
     github-glog-devel, golang-github-m3db-prometheus-client-model-devel,
     golang-github-mvo5-uboot-devel, golang-github-nkovacs-streamquote-
     devel, golang-github-tonistiigi-immutable-radix-devel, golang-github-
     pquerna-cachecontrol-devel, golang-github-nrdcg-auroradns-devel,
     golang-github-flynn-shlex-devel, golang-github-linode-linodego-devel,
     golang-github-oneofone-xxhash-devel, golang-github-danwakefield-
     fnmatch-devel, golang-github-kisielk-sqlstruct-devel, golang-github-
     azure-ansiterm-devel, golang-github-dlclark-regexp2-devel, golang-
     github-performancecopilot-speed-devel, golang-github-jmhodges-clock-
     devel, golang-github-containernetworking-cni-devel, golang-github-
     grpc-ecosystem-opentracing-devel, golang-github-soheilhy-cmux-devel,
     golang-github-golangplus-bytes-devel, golang-github-jedisct1-minisign-
     devel, golang-github-fluent-logger-devel, golang-github-hashicorp-
     rootcerts-devel, golang-github-jimstudt-http-authentication-devel,
     golang-github-libgit2-git2go-devel, golang-github-kisom-goutils-devel,
     golang-github-samalba-dockerclient-devel, golang-github-armon-radix-
     devel, golang-github-googleapis-gnostic-devel, compat-golang-github-
     commonmark-linkify-devel, golang-github-google-certificate-
     transparency-devel, golang-github-nvveen-gotty-devel, golang-github-
     gorilla-css-devel, golang-github-containerd-cri-devel, golang-github-
     wsxiaoys-terminal-devel, golang-github-bifurcation-mint-devel, golang-
     github-nats-io-nkeys-devel, golang-github-shirou-gopsutil-devel,
     golang-github-tmc-grpc-websocket-proxy-devel, golang-github-
     googlecloudplatform-cloudsql-proxy-devel, golang-github-manucorporat-
     stats-devel, golang-github-containerd-aufs-devel, golang-github-
     benbjohnson-clock-devel, golang-github-burntsushi-xgb-devel, golang-
     github-willf-bitset-devel, golang-github-cloudflare-metrics-devel,
     golang-github-influxdata-influxdb1-client-devel, golang-github-mattn-
     isatty-devel, golang-github-docker-go-devel, golang-github-adroll-
     goamz-devel, compat-golang-github-commonmark-html-devel, golang-
     github-eknkc-amber-devel, golang-github-remeh-sizedwaitgroup-devel,
     golang-github-vitrun-qart-devel, golang-github-tdewolff-test-devel,
     golang-github-azure-autorest-devel, golang-github-azure-pipeline-
     devel, golang-github-freetype-devel, golang-github-opentracing-
     contrib-stdlib-devel, golang-github-gobwas-glob-devel, golang-github-
     okzk-sdnotify-devel, golang-github-namedotcom-devel, golang-github-
     aead-poly1305-devel, golang-github-jedisct1-dnsstamps-devel, golang-
     github-cloudflare-devel, golang-github-exponent-io-jsonpath-devel,
     golang-github-chzyer-test-devel, golang-github-yosssi-gohtml-devel,
     compat-golang-github-redis-devel, golang-github-10gen-escaper-devel,
     golang-github-nwidger-jsoncolor-devel, golang-github-sergi-diff-devel,
     golang-github-mistifyio-zfs-devel, golang-github-containerd-ttrpc-
     devel, compat-golang-github-tomb-devel, golang-github-daviddengcn-
     colortext-devel, golang-github-stack-devel, golang-github-circonus-
     labs-apiclient-devel, golang-github-opencontainers-runc-devel, golang-
     github-openzipkin-contrib-zipkin-opentracing-devel, compat-golang-
     github-asn1-ber-devel, golang-github-lithammer-dedent-devel, golang-
     github-zyedidia-glob-devel, golang-github-tcnksm-input-devel, golang-
     github-gohugoio-hugo-devel, compat-golang-github-alexcesaro-
     quotedprintable-devel, golang-github-bruth-assert-devel, golang-
     github-joho-godotenv-devel, golang-github-kardianos-service-devel,
     golang-github-pengsrc-shared-devel, golang-github-jeffail-gabs-devel,
     golang-github-bsphere-le-devel, golang-github-daviddengcn-algs-devel,
     golang-github-keybase-crypto-devel, golang-github-neelance-astrewrite-
     devel, golang-github-sacloud-libsacloud-devel, golang-github-stretchr-
     testify-devel, golang-github-vdemeester-shakers-devel, golang-github-
     hashicorp-memdb-devel, golang-github-nbio-st-devel, golang-github-
     hashicorp-logutils-devel, golang-github-rs-xid-devel, golang-github-
     gosexy-gettext-devel, golang-github-microsoft-opengcs-devel, golang-
     github-nwaples-rardecode-devel, golang-github-cloudflare-redoctober-
     devel, golang-github-google-shlex-devel, golang-github-docker-
     credential-helpers-devel, golang-github-dimchansky-utfbom-devel,
     golang-github-gdamore-tcell-devel, golang-github-dnsimple-devel,
     golang-github-facebookgo-httpdown-devel, golang-github-smartystreets-
     aws-auth-devel, golang-github-sirupsen-logrus-devel, golang-github-
     zyedidia-terminal-devel, golang-github-wellington-libsass-devel,
     golang-github-oklog-ulid-devel, golang-github-mholt-archiver-devel,
     golang-github-alecthomas-assert-devel, golang-github-disintegration-
     imaging-devel, golang-github-karlseguin-expect-devel, golang-github-
     ema-qdisc-devel, golang-github-opencontainers-selinux-devel, golang-
     github-ttacon-chalk-devel, golang-github-dnaeon-vcr-devel, golang-
     github-a8m-tree-devel, golang-github-apache-thrift-devel, golang-
     github-facebookarchive-structtag-devel, golang-github-pelletier-toml-
     devel, golang-github-azure-sdk-devel, golang-github-json-iterator-
     devel, golang-github-transip-gotransip-devel, golang-github-bmizerany-
     pat-devel, golang-github-mdlayher-raw-devel, golang-github-appc-
     docker2aci-devel, golang-github-elazarl-bindata-assetfs-devel, golang-
     github-hashicorp-errwrap-devel, golang-github-uber-jaeger-lib-devel,
     golang-github-hanwen-fuse-devel, golang-github-gorilla-websocket-
     devel, golang-github-lucas-clemente-aes12-devel, golang-github-
     hashicorp-syslog-devel, golang-github-rfjakob-gocryptfs-devel, golang-
     github-sourcegraph-annotate-devel, golang-github-golangplus-sort-
     devel, golang-github-codegangsta-inject-devel, golang-github-macaron-
     inject-devel, golang-github-gorilla-schema-devel, golang-github-
     mitchellh-mapstructure-devel, golang-github-oxtoacart-bpool-devel,
     golang-github-sdboyer-constext-devel, golang-github-jinzhu-inflection-
     devel, golang-github-matttproud-protobuf-extensions-devel, compat-
     golang-github-coreos-bbolt-devel, golang-github-openapi-errors-devel,
     golang-github-rogpeppe-charset-devel, golang-github-xordataexchange-
     crypt-devel, golang-github-yvasiyarov-gorelic-devel, golang-github-
     duosecurity-duo-api-devel, golang-github-mitchellh-testing-interface-
     devel, golang-github-oschwald-geoip2-devel, golang-github-minio-devel,
     golang-github-jlaffaye-ftp-devel, golang-github-docker-events-devel,
     golang-github-geertjohan-rice-devel, golang-github-streadway-amqp-
     devel, golang-github-milochristiansen-axis2-devel, golang-github-
     rcrowley-metrics-devel, golang-github-tv42-httpunix-devel, golang-
     github-uber-tally-devel, golang-github-mitchellh-homedir-devel,
     golang-github-pascaldekloe-goe-devel, golang-github-gorilla-sessions-
     devel, golang-github-hashicorp-gcp-common-devel, golang-github-
     aclements-moremath-devel, golang-github-mikioh-ipaddr-devel, golang-
     github-errors-devel, golang-github-google-flatbuffers-devel, golang-
     github-anmitsu-shlex-devel, golang-github-cheekybits-genny-devel,
     golang-github-mattn-tty-devel, golang-github-bradfitz-gomemcache-
     devel, golang-github-containerd-zfs-devel, compat-golang-github-
     chzyer-logex-devel, golang-github-deckarep-set-devel, golang-github-
     jessevdk-assets-devel, golang-github-hpcloud-tail-devel, golang-
     github-thejerf-suture-devel, golang-github-stretchr-objx-devel,
     golang-github-alecthomas-chroma-devel, golang-github-streadway-handy-
     devel, golang-github-hashicorp-hclog-devel, golang-github-hashicorp-
     net-rpc-msgpackrpc-devel, golang-github-elithrar-simple-scrypt-devel,
     golang-github-docker-compose-on-kubernetes-devel, golang-github-
     google-martian-devel, golang-github-magiconair-properties-devel,
     golang-github-simonpasquier-klog-gokit-devel, golang-github-
     simonferquel-yaml-devel, golang-github-unknwon-goconfig-devel, golang-
     github-zyedidia-clipboard-devel, golang-github-ishidawataru-sctp-
     devel, golang-github-martini-devel, golang-github-chi-devel, golang-
     github-dave-jennifer-devel, golang-github-anacrolix-envpprof-devel,
     golang-github-ghodss-yaml-devel, golang-github-matryer-try-devel,
     golang-github-pact-foundation-devel, golang-github-prometheus-devel,
     golang-github-pkg-term-devel, golang-github-armon-proxyproto-devel,
     golang-github-geertjohan-incremental-devel, golang-github-miekg-dns-
     devel, golang-github-knetic-govaluate-devel, golang-github-anacrolix-
     tagflag-devel, golang-github-sevlyar-daemon-devel, golang-github-
     opendns-vegadns2client-devel, golang-github-seccomp-libseccomp-devel,
     golang-github-gobuffalo-envy-devel, golang-github-aliyun-oss-sdk-
     devel, golang-github-coreos-log-devel, golang-github-neelance-
     sourcemap-devel, golang-github-restic-chunker-devel, golang-github-
     revel-log15-devel, golang-github-cockroachdb-returncheck-devel,
     golang-github-pierrec-lz4-devel, golang-github-aymerick-douceur-devel,
     golang-github-bitly-simplejson-devel, golang-github-cespare-xxhash-
     devel, golang-github-gocql-devel, golang-github-armon-gomdb-devel,
     golang-github-marstr-goalias-devel, golang-github-
     spf13-jwalterweatherman-devel, golang-github-peterh-liner-devel,
     golang-github-tent-http-link-devel, golang-github-xlab-treeprint-
     devel, golang-github-baiyubin-aliyun-sts-sdk-devel, golang-github-
     hashicorp-consul-migrate-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-weppos-publicsuffix-0.5.0-1.fc31.src.rpm
golang-github-weppos-publicsuffix.src: W: no-%build-section
golang-github-weppos-publicsuffix.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
1 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/weppos/publicsuffix-go/archive/v0.5.0/publicsuffix-go-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 158a46086fb7fcb8bd1cc18fa043a3007b0e901ea24e959a951b7142a5195ad8
  CHECKSUM(SHA256) upstream package : 158a46086fb7fcb8bd1cc18fa043a3007b0e901ea24e959a951b7142a5195ad8


Requires
--------


Provides
--------


Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1735485
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: PHP, R, Haskell, Java, Perl, Python, fonts, SugarActivity, Ocaml, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Gwyn Ciesla 2019-08-02 18:17:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-weppos-publicsuffix


Note You need to log in before you can comment on or make changes to this bug.